﻿@model IEnumerable<SSCMvc.Models.IeltsResult_View>
@using SSCMvc.Models
@using SSCMvc.Webutil;
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    CommonUtil cu = new CommonUtil();
    string V1 = "";
    string V2 = "";
    try
    {
        V1 = cu.GetDateFormat(ViewBag.fdt);
        V2 = cu.GetDateFormat(ViewBag.tdt);

    }
    catch (Exception)
    {
    }

}
@section scripts{
    @*<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
        <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>*@
     @*@Content.Script("jquery.tablesorter.js", Url)
        @Content.Script("jquery.tablesorter.pager.js", Url)*@

    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>

    <style type="text/css">
        div.box div.overlay { display: none; }
        span { color: #369ECE !important; }
            span:hover { color: orangered !important; font-weight: 700; }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script src="~/Scripts/HighestQuali.js"></script>

    <script type="text/javascript">
        deleterecord("Tb_IELTSResult");

        $(document).ready(function () {


            $("#txtfdate").datepicker();
            $("#txttdate").datepicker();
            // $("#ieltsscore").val($("#hiddenieltsscore").val());

            $("#pagng").css('width', '80px');

            $("#txtpageno").css('width', '100px');

            $("#stdtype").css('width', '200px');
            $("#ieltsscore").css('width', '112px');

            $("#stdtype").val($("#hiddenstutype").val());

            $("#stdtype").css("width", "112px");

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    Search();
                }
                return true;
            });
        });

        function Search() {

           
            var fdatee = $("#txtfdate").val();
            var tdatee = $("#txttdate").val();
            
            var sttype = $("#stdtype").val();
            var Score = $("#ieltsscore").val();
            var stucat = $("#drpstucat").val();
            var enqtype = $("#drpenqtype").val();
            var sname = $("#txtsname").val();
            var examtype = $("#drpExmBody").val();
            var fdate = fdatee;
            var tdate = tdatee;
            var roll = $("#txtRollNo").val();
            var bid = $("#Branches").val();
            var ReferNo = $("#txtReferNo").val();
            var txtmobileno = $("#txtmobileno").val();
            return window.location.href = "/Tb_IELTSResult/Index?sttype=" + sttype + "&fdt=" + fdate + "&tdt=" + tdate + "&mobile=" + txtmobileno + "&ReferNo=" + ReferNo + "&sname=" + sname + "&stucat=" + stucat + "&enqtype=" + enqtype + "&examtype=" + examtype + "&Score=" + Score + "&branchid=" + bid;


        }

    </script>

    <script type="text/javascript">

        $(function () {
            $(".table").tablesorter({ widthFixed: true })
            .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{ SSCWebDBEntities1 db = new SSCWebDBEntities1();
    CommonUtil cmutil = new CommonUtil();

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        List Of IELTS / PTE Result
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        <fieldset style="padding:10px;">
            <legend>Search Here  :</legend>
            <div class="well">

                <table align="center" width="76%">
                    <tr>
                        <td>
                            Branch
                        </td>
                        <td align="left">
                            Ref. No
                        </td>

                        <td align="left">
                            Name
                        </td>
                        <td align="left">
                            Mobile No.
                        </td>
                        <td align="left">
                            Score
                        </td>
                        <td align="left">
                            Student Type
                        </td>

                    </tr>
                   

                    <tr>
                        <td>
                            @Html.DropDownList("Branches", (SelectList)ViewBag.val, "ALL", new { @class = "form-control" })
                        </td>
                        <td align="left">
                            <input type="text" id="txtReferNo" style="width:50px" value="@ViewBag.ReferNo" />
                        </td>
                        <td align="left">
                            <input type="text" id="txtsname" style="width:80px" value="@ViewBag.sname" />
                        </td>
                        <td align="left">
                            <input type="text" id="txtmobileno" style="width:80px" value="@ViewBag.mobile" />
                        </td>
                        <td align="left">
                            <select id="ieltsscore">
                                <option value="All">All</option>
                                <option value="A5">6>=</option>
                                <option value="B5"><=5.5</option>
                            </select>
                            <input type="hidden" value="@ViewBag.ieltsscore" id="hiddenieltsscore" />
                        </td>
                        <td align="left">

                            <input type="hidden" value="@ViewBag.sttype" id="hiddenstutype" />
                            @Html.DropDownList("BookingType", (SelectList)ViewBag.val, "ALL", new { @class = "form-control", @id = "stdtype" })
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            Student Category
                        </td>
                        <td align="left">
                            Enquiry Status
                        </td>
                        <td>
                            Exam Type
                        </td>
                        <td align="left">
                            From Date
                        </td>
                        <td align="left">
                            To Date
                        </td>

                        <td align="left"></td>
                    </tr>
                    <tr>

                        <td align="left">
                            <select id="drpstucat" style="width: 60px">
                                <option value="All">All</option>
                                <option value="AC">AC</option>
                                <option value="GT">GT</option>
                            </select>
                            <input type="hidden" value="@ViewBag.stucat" id="hiddenstucat" />
                        </td>

                        <td align="left">
                            <select id="drpenqtype" style="width:90px">
                                <option value="All">All</option>
                                <option value="Close">Close</option>
                                <option value="Open">Open</option>
                                <option value="Move to Visa">Move to Visa</option>
                            </select>
                            <input type="hidden" value="@ViewBag.enqtype" id="hiddenstatustype" />
                        </td>
                        <td>
                            <select id="drpExmBody" style="width: 60px">
                                <option value="All">All</option>
                                <option value="BC">BC</option>
                                <option value="IDP">IDP</option>
                                <option value="PTE">PTE</option>
                            </select>

                        </td>

                        <td align="left">
                            <input type="text" id="txtfdate" style="width:100px" required="required" />

                        </td>

                        <td align="left">
                            <input type="text" id="txttdate"  style="width:100px" required="required" />

                        </td>
                      
                        <td align="left" valign="top">
                            <input type="submit" id="btnSearch" value="Search" class="btn btn-primary" onclick="Search();" />
                        </td>
                    </tr>

                </table>

            </div>
        </fieldset>
    </div>
</div>

<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="98%" align="center">
                <tr>
                    <td align="left" width="10%">
                        @Html.ActionLink("Create New", "Create", new { @id = 0 })
                    </td>
                    <td align="left" width="30%">
                        @Html.ActionLink("Input Result", "MultipleResult")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well" style="width:98%;overflow-x:scroll">
            <table class="table table-responsive table-striped" id="example">
                <thead>
                    <tr>
                        <th>
                            Branch
                        </th>
                        <th>
                            Exam Booked On
                        </th>
                        <th>
                            Result Uploaded On
                        </th>

                        <th>
                            Student Type
                        </th>
                        <th>
                            Ref No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Cate-<br />gory
                        </th>
                        <th>
                            IELTS / PTE Test Date
                        </th>
                        <th>
                            Exam Type
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>Passport <br />No</th>
                        <th>
                            Over-<br />all Score
                        </th>
                        <th>
                            Next FollowUp date
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Enq. Status
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{
                        int i = 0;
                        string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {

                        string bdate = "";
                        string rdate = "";
                        try
                        {
                            bdate = item.BookedTime.Value.ToString("dd/MMM/yyyy hh:mm:ss tt");

                        }
                        catch (Exception ex)
                        {
                        }

                        try
                        {
                            rdate = item.ResUpdTime.Value.ToString("dd/MMM/yyyy hh:mm:ss tt");
                        }
                        catch (Exception ex)
                        {
                        }


                        i++;
                        <tr>
                            <td>
                                @{
                                    CommonUtil util = new CommonUtil();
                                    string bname = util.GetBranchName((int)item.BranchId);
                                }

                                @bname
                            </td>
                            <td>
                                @{
                                    if (bdate == "")
                                    {
                                        <p>N.A</p>
                                    }
                                    else
                                    {
                                        @bdate
                                    }
                                }

                            </td>
                            <td>
                                @{
                                    if (rdate == "")
                                    {
                                        <p>N.A</p>
                                    }
                                    else
                                    {
                                        @rdate
                                    }
                                }
                            </td>
                            @*<td>
                                    @item.studenttypeDisply
                                </td>*@
                            <td>
                                @{
                                    string booktype = db.St_BookType.Where(x => x.Id == item.BookingType).Select(x => x.BookingType).FirstOrDefault();
                                }
                                @*@item.BookingType*@
                                @booktype
                            </td>
                            <td>
                                @{
                                    if (item.StudentType == "Admission")
                                    {
                                        int count = db.Tb_MockTest.Where(x => x.StudentId == item.Studentid).Count();
                                        if (count > 0)
                                        {
                                            try
                                            {
                                                @Html.ActionLink(item.RollNo.ToString(), "AllTestofStudent", "Tb_MockTest", new { id = item.Studentid }, new { @class = "myeditAcBtn" })
                                            }
                                            catch (Exception ex)
                                            { }
                                        }
                                        else
                                        {
                                            @item.RollNo
                                        }
                                    }
                                    else
                                    {
                                        @item.RollNo
                                    }
                                }
                            </td>
                            <td>
                                <span onmouseover="showdetail(@cmutil.GetEnqId(item.Studentid))" onmouseout="hidedetail();">  @Html.DisplayFor(modelItem => item.FirstName) </span>
                            </td>
                            <td>
                                @item.Category
                            </td>
                            <td>
                                @{

                                    var testdate = string.Format("{0:dd MMM,yyyy}", item.Testdate);
                                }
                                @testdate
                            </td>
                            <td>
                                @item.ExamBody
                            </td>
                            <td>
                                @item.Mobile
                            </td>
                            <td>
                                @item.Passport
                            </td>
                            <td>
                                @item.Overall
                            </td>
                            <td>
                                @{


                                    string ndate = "";
                                    try
                                    {
                                        MaEnqFollow _enqfoll = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "IELTS").OrderByDescending(z => z.Id).First();

                                        if (_enqfoll != null)
                                        {
                                            ndate = _enqfoll.NextDate.Value.ToShortDateString();
                                        }
                                    }
                                    catch (Exception) { }
                                }

                                @ndate


                            </td>
                            <td width="100px" style="overflow: hidden">



                                @{
                                    string rem = "";
                                    try
                                    {
                                        MaEnqFollow _enqfoll = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "IELTS").OrderByDescending(z => z.Id).First();

                                        if (_enqfoll != null)
                                        {
                                            rem = _enqfoll.Remarks;
                                        }
                                    }
                                    catch (Exception) { }
                                }
                                @rem
                            <td>
                                @{
                                    string enquirstatus = "";
                                    try
                                    {
                                        MaEnqFollow _enqfoll = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "IELTS").OrderByDescending(z => z.Id).First();

                                        if (_enqfoll != null)
                                        {
                                            enquirstatus = _enqfoll.Enqstatus;
                                        }
                                    }
                                    catch (Exception) { }
                                }

                                @enquirstatus
                            </td>
                            <td>
                                <a href="edit/@item.Id" target="_blank" title="Edit"><img src="../../Content/themes/base/images/Edit.png" /></a>
                                @{

                                    int roleid = StaticLogic.RoleId();
                                    if (Permission.CheckPermission(roleid, CommonUtil.IeltsPteTest, UserAction.Delete) == true)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "Tb_IELTSResult", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                                }
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id, studentid = item.Studentid })
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_IELTSCreate", "MaEnqFollow", new { id = item.Id, reftype = "IELTS", name = item.FirstName + " " + item.LastName, refno = item.Studentid, enqid = item.Studentid, stuid = item.Studentid }, new { @class = "editAcBtn" }, null)
                                <a href="/MaEnquiry/Details/?id=@cmutil.GetEnqId(item.Studentid)" data-toggle="tooltip" title="Go to Enquiry" target="_blank"><img src="../../Content/themes/base/images/enquiry.png" /></a>
                            </td>
                        </tr>
                                    }
                </tbody>
            </table>
        </div>
        @*<table width="100%" align="center">
                <tr>
                    <td align="center">
                        @Html.Partial("_Pager")
                    </td>
                </tr>
            </table>*@
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        
    </div>
</div>
